# $Id: pe-hiera-gpg.spec 1371 2013-11-04 20:50:12Z rpmbuild $
# repo: RE
# restrictions:

%global p_vendor         pe

%if 0%{?p_vendor:1}
  %global _orig_prefix %{_prefix}
  %global name_prefix  %{p_vendor}-

  %define _lib lib

  # Override _prefix last, so we can get the _real_* locations.
  %define _prefix       /opt/puppet
  %define _libdir       %{_prefix}/lib
  %define _bindir       %{_prefix}/bin
  %define _sysconfdir   /etc/puppetlabs
%endif

%define ruby            %{_bindir}/ruby

# Fedora 17 ships with ruby 1.9, which uses vendorlibdir instead
# of sitelibdir
%if 0%{?fedora} >= 17
%global hiera_libdir   %(%{ruby} -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
%else
%global hiera_libdir   %(%{ruby} -rrbconfig -e 'puts RbConfig::CONFIG["sitelibdir"]')
%endif

Summary: A backend for Hiera that supports GPG coded YAML files
Name: %{?name_prefix}hiera-gpg
Version: 1.1.0
Release: %RErelease 2
Group: System Environment/Base
License: ASL 2.0
URL: http://github.com/crayfishx/hiera-gpg
Source0: https://github.com/crayfishx/%{name}/archive/%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: %{?name_prefix}ruby
BuildRequires: rpm-macros-razorsedge
Requires: %{?name_prefix}ruby
Requires: %{?name_prefix}hiera
Requires: %{?name_prefix}rubygem-gpgme >= 2.0.0
BuildArch: noarch

%description
hiera-gpg allows you to place your YAML in a GPG encoded file which can be read
by Hiera on the command line or via Puppet on any machine that has a valid
secret key.

%prep
%setup -q -n hiera-gpg-%{version}

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{hiera_libdir}
%{__cp} -pr lib/hiera $RPM_BUILD_ROOT/%{hiera_libdir}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md
%{hiera_libdir}/hiera

%changelog
* Mon Nov 04 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.1.0-2
- Fix rubygem requires.

* Sun Oct 27 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.1.0-1
- First build.

